## org.apache.poi.hslf.record
Class SlideListWithText

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordContainer
              org.apache.poi.hslf.record.SlideListWithText

    public final class SlideListWithText

extends RecordContainer

These are tricky beasts. They contain the text of potentially many (normal) slides. They are made up of several sets of - SlidePersistAtom - TextHeaderAtom - TextBytesAtom / TextCharsAtom - StyleTextPropAtom (optional) - TextSpecInfoAtom (optional) - InteractiveInfo (optional) - TxInteractiveInfoAtom (optional) and then the next SlidePersistAtom. Eventually, Slides will find the blocks that interest them from all the SlideListWithText entries, and refere to them For now, we scan through looking for interesting bits, then creating the helpful Sheet from model for them

Author:
  Nick Burch

Nested Class Summary
`class` `SlideListWithText.SlideAtomsSet` Inner class to wrap up a matching set of records that hold the text for a given sheet.

Field Summary
`static int` `MASTER` Instance filed of the record header indicates that this SlideListWithText stores references to master slides
`static int` `NOTES` Instance filed of the record header indicates that this SlideListWithText stores references to notes
`static int` `SLIDES` Instance filed of the record header indicates that this SlideListWithText stores references to slides

Fields inherited from class org.apache.poi.hslf.record.RecordContainer
`_children`

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`` `SlideListWithText()` Create a new, empty, SlideListWithText
`protected` `SlideListWithText(byte[] source, int start, int len)` Create a new holder for slide records

Method Summary
`void` `addSlidePersistAtom(SlidePersistAtom spa)` Add a new SlidePersistAtom, to the end of the current list, and update the internal list of SlidePersistAtoms
`int` `getInstance()`
`long` `getRecordType()` Return the value we were given at creation
`SlideListWithText.SlideAtomsSet[]` `getSlideAtomsSets()` Get access to the SlideAtomsSets of the children of this record
`void` `setInstance(int inst)`
`void` `setSlideAtomsSets(SlideListWithText.SlideAtomsSet[] sas)` Get access to the SlideAtomsSets of the children of this record
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordContainer
`addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SLIDES

    public static final int SLIDES

  Instance filed of the record header indicates that this SlideListWithText stores references to slides

  See Also:
    Constant Field Values

### MASTER

    public static final int MASTER

  Instance filed of the record header indicates that this SlideListWithText stores references to master slides

  See Also:
    Constant Field Values

### NOTES

    public static final int NOTES

  Instance filed of the record header indicates that this SlideListWithText stores references to notes

  See Also:
    Constant Field Values

Constructor Detail

### SlideListWithText

    protected SlideListWithText(byte[] source,
                                int start,
                                int len)

  Create a new holder for slide records

### SlideListWithText

    public SlideListWithText()

  Create a new, empty, SlideListWithText

Method Detail

### addSlidePersistAtom

    public void addSlidePersistAtom(SlidePersistAtom spa)

  Add a new SlidePersistAtom, to the end of the current list, and update the internal list of SlidePersistAtoms

  Parameters:
    `spa` -

### getInstance

    public int getInstance()

### setInstance

    public void setInstance(int inst)

### getSlideAtomsSets

    public SlideListWithText.SlideAtomsSet[] getSlideAtomsSets()

  Get access to the SlideAtomsSets of the children of this record

### setSlideAtomsSets

    public void setSlideAtomsSets(SlideListWithText.SlideAtomsSet[] sas)

  Get access to the SlideAtomsSets of the children of this record

### getRecordType

    public long getRecordType()

  Return the value we were given at creation

  Specified by:
    `getRecordType` in class `Record`

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.